<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>SireneEntry</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.insee, class: SireneEntry">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":6,"i1":10,"i2":9,"i3":9,"i4":9,"i5":10,"i6":9,"i7":10,"i8":9,"i9":9,"i10":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/SireneEntry.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.insee</a></div>
<h1 title="Class SireneEntry" class="title">Class SireneEntry</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="../iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.ICIObject</a>
<div class="inheritance"><a href="../iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.POI</a>
<div class="inheritance">fr.ici.dataImporter.insee.SireneEntry</div>
</div>
</div>
</div>
<section class="description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../util/CSVable.html" title="interface in fr.ici.dataImporter.util">CSVable</a></code></dd>
</dl>
<dl class="notes">
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a></code>, <code><a href="SireneWorkingPlace.html" title="class in fr.ici.dataImporter.insee">SireneWorkingPlace</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="type-name-label">SireneEntry</span>
extends <a href="../iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>
implements <a href="../util/CSVable.html" title="interface in fr.ici.dataImporter.util">CSVable</a></pre>
<div class="block">Abstract class for any SIRENE related object</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#completeAddress">completeAddress</a></span></code></th>
<td class="col-last">
<div class="block">Address information in an array.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>protected static org.locationtech.jts.geom.GeometryFactory</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#gf">gf</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#nomenclatureFile">nomenclatureFile</a></span></code></th>
<td class="col-last">
<div class="block">Table containing the nomenclature of the current NAF version</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#siret">siret</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#sorting">sorting</a></span></code></th>
<td class="col-last">
<div class="block">Table containing result of a search in the nomenclature.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#workforce">workforce</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#workforceReadable">workforceReadable</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.POI">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></h3>
<code><a href="../iciObjects/POI.html#address">address</a>, <a href="../iciObjects/POI.html#attendance">attendance</a>, <a href="../iciObjects/POI.html#attendanceIndice">attendanceIndice</a>, <a href="../iciObjects/POI.html#capacity">capacity</a>, <a href="../iciObjects/POI.html#codeINSEE">codeINSEE</a>, <a href="../iciObjects/POI.html#codePost">codePost</a>, <a href="../iciObjects/POI.html#idBuilding">idBuilding</a>, <a href="../iciObjects/POI.html#lSource">lSource</a>, <a href="../iciObjects/POI.html#nAddress">nAddress</a>, <a href="../iciObjects/POI.html#name">name</a>, <a href="../iciObjects/POI.html#nomenclature">nomenclature</a>, <a href="../iciObjects/POI.html#openingHour">openingHour</a>, <a href="../iciObjects/POI.html#openLockdownMarch20">openLockdownMarch20</a>, <a href="../iciObjects/POI.html#openLockdownNov20">openLockdownNov20</a>, <a href="../iciObjects/POI.html#p">p</a>, <a href="../iciObjects/POI.html#potentialArea">potentialArea</a>, <a href="../iciObjects/POI.html#typeCodeSource">typeCodeSource</a>, <a href="../iciObjects/POI.html#typeNameIci">typeNameIci</a>, <a href="../iciObjects/POI.html#typeNameSource">typeNameSource</a>, <a href="../iciObjects/POI.html#typeRoad">typeRoad</a>, <a href="../iciObjects/POI.html#valid">valid</a></code></div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="../iciObjects/ICIObject.html#DEBUG">DEBUG</a>, <a href="../iciObjects/ICIObject.html#rdGen">rdGen</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)">SireneEntry</a></span>&#8203;(java.lang.String&nbsp;type,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;prefixNAddress,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;typeNameSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">SireneEntry</a></span>&#8203;(java.lang.String&nbsp;ID,
java.lang.String&nbsp;type,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;typeRoad,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;amenityCode,
java.lang.String&nbsp;amenityTypeNameSource,
java.lang.String&nbsp;amenityTypeNameICI,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce,
java.lang.String&nbsp;workforceReadable,
org.locationtech.jts.geom.Point&nbsp;p)</code></th>
<td class="col-last">
<div class="block">Constructor for an already constructed and exported object</div>
</td>
</tr>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">SireneEntry</a></span>&#8203;(java.lang.String&nbsp;type,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;typeRoad,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;typeNameSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce,
org.locationtech.jts.geom.Point&nbsp;p)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="table-tab" onclick="show(4);">Abstract Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>abstract boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#equals(java.lang.String%5B%5D)">equals</a></span>&#8203;(java.lang.String[]&nbsp;line)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>org.opengis.feature.simple.SimpleFeature</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateSireneSimpleFeature()">generateSireneSimpleFeature</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getAverageWorkingForce(int)">getAverageWorkingForce</a></span>&#8203;(int&nbsp;wpValue)</code></th>
<td class="col-last">
<div class="block">Get a Working Place's workforce</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>static double</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getAverageWorkingForce(org.opengis.feature.simple.SimpleFeature)">getAverageWorkingForce</a></span>&#8203;(org.opengis.feature.simple.SimpleFeature&nbsp;wp)</code></th>
<td class="col-last">
<div class="block">Get a Working Place's workforce</div>
</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>static int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getRandomWorkingForce(int)">getRandomWorkingForce</a></span>&#8203;(int&nbsp;wpValue)</code></th>
<td class="col-last">
<div class="block">Get a Working Place's workforce</div>
</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>org.geotools.feature.simple.SimpleFeatureBuilder</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSireneSFB()">getSireneSFB</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>static boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#isActive(java.lang.String)">isActive</a></span>&#8203;(java.lang.String&nbsp;etatAdministratifEtablissement)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#makeSorting()">makeSorting</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>static double</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#makeWorkforceSum(org.geotools.data.simple.SimpleFeatureCollection)">makeWorkforceSum</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;workingPlace)</code></th>
<td class="col-last">
<div class="block">Calculate the sum of Working Place's workforce</div>
</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>static float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#normalizeCodeAmenity(java.lang.String)">normalizeCodeAmenity</a></span>&#8203;(java.lang.String&nbsp;codeAmenity)</code></th>
<td class="col-last">
<div class="block">In NAF ranking, ranks can have a letter as a last character that specifies their type.</div>
</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#transformWorkforce(java.lang.String,boolean)">transformWorkforce</a></span>&#8203;(java.lang.String&nbsp;workforceCode,
boolean&nbsp;readable)</code></th>
<td class="col-last">
<div class="block">Workforce value is normalize in SIRENE data.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.POI">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></h3>
<code><a href="../iciObjects/POI.html#affectRoomLeft(java.util.List,java.util.List,java.io.File,java.util.List)">affectRoomLeft</a>, <a href="../iciObjects/POI.html#canBeDoubled()">canBeDoubled</a>, <a href="../iciObjects/POI.html#canBeDoubled(java.io.InputStream)">canBeDoubled</a>, <a href="../iciObjects/POI.html#delDouble(java.util.List,java.util.List,java.io.File,java.util.HashMap)">delDouble</a>, <a href="../iciObjects/POI.html#exportListPOI(java.util.List,java.io.File)">exportListPOI</a>, <a href="../iciObjects/POI.html#generateAttendanceCode(java.lang.String)">generateAttendanceCode</a>, <a href="../iciObjects/POI.html#generateSimpleFeature()">generateSimpleFeature</a>, <a href="../iciObjects/POI.html#getAttendance()">getAttendance</a>, <a href="../iciObjects/POI.html#getIciAmenity(java.lang.String,java.lang.String)">getIciAmenity</a>, <a href="../iciObjects/POI.html#getIdentification()">getIdentification</a>, <a href="../iciObjects/POI.html#getSFB()">getSFB</a>, <a href="../iciObjects/POI.html#importPOI(java.io.File)">importPOI</a>, <a href="../iciObjects/POI.html#importPOIFromUsualSources(java.io.File,java.util.List)">importPOIFromUsualSources</a>, <a href="../iciObjects/POI.html#isValid()">isValid</a>, <a href="../iciObjects/POI.html#relocatePOItoClosestBuilding(java.util.List,java.util.List)">relocatePOItoClosestBuilding</a>, <a href="../iciObjects/POI.html#setPotentialArea(double)">setPotentialArea</a>, <a href="../iciObjects/POI.html#toString()">toString</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="../iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="../iciObjects/ICIObject.html#equals(java.lang.Object)">equals</a>, <a href="../iciObjects/ICIObject.html#getID()">getID</a>, <a href="../iciObjects/ICIObject.html#getType()">getType</a>, <a href="../iciObjects/ICIObject.html#hashCode()">hashCode</a>, <a href="../iciObjects/ICIObject.html#setRdGen(java.util.Random)">setRdGen</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.util.CSVable">Methods inherited from interface&nbsp;fr.ici.dataImporter.util.<a href="../util/CSVable.html" title="interface in fr.ici.dataImporter.util">CSVable</a></h3>
<code><a href="../util/CSVable.html#getLineForCSV()">getLineForCSV</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="nomenclatureFile">
<h3>nomenclatureFile</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.io.File</span>&nbsp;<span class="member-name">nomenclatureFile</span></div>
<div class="block">Table containing the nomenclature of the current NAF version</div>
</section>
</li>
<li>
<section class="detail" id="gf">
<h3>gf</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type">org.locationtech.jts.geom.GeometryFactory</span>&nbsp;<span class="member-name">gf</span></div>
</section>
</li>
<li>
<section class="detail" id="sorting">
<h3>sorting</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">sorting</span></div>
<div class="block">Table containing result of a search in the nomenclature. Indexes are sorted that way
 <ul>
     <li><b>0</b>: SIRENE type name</li>
     <li><b>1</b>: SIRENE code</li>
     <li><b>2</b>: ICI type name</li>
     <li><b>3</b>: theoretical frequency</li>
     <li><b>4</b>: stays open with the <i>arrêté du 13 mars</i></li>
     <li><b>5</b>: stays open with the <i>arrêté du 30 novembre</i></li>
 </ul></div>
</section>
</li>
<li>
<section class="detail" id="completeAddress">
<h3>completeAddress</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">completeAddress</span></div>
<div class="block">Address information in an array. Indices are
 <ul>
     <li><b>0</b> : address's number</li>
     <li><b>1</b> : prefix to number's address</li>
     <li><b>2</b> : name of street</li>
     <li><b>3</b> : INSEE community code</li>
 </ul>
 //TODO check if completed for every WP and POI</div>
</section>
</li>
<li>
<section class="detail" id="siret">
<h3>siret</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">siret</span></div>
</section>
</li>
<li>
<section class="detail" id="workforce">
<h3>workforce</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">workforce</span></div>
</section>
</li>
<li>
<section class="detail" id="workforceReadable">
<h3>workforceReadable</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">workforceReadable</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)">
<h3>SireneEntry</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">SireneEntry</span>&#8203;(<span class="parameters">java.lang.String&nbsp;type,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;prefixNAddress,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;typeNameSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce)</span>
            throws <span class="exceptions">java.util.InvalidPropertiesFormatException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.util.InvalidPropertiesFormatException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">
<h3>SireneEntry</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">SireneEntry</span>&#8203;(<span class="parameters">java.lang.String&nbsp;type,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;typeRoad,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;typeNameSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce,
org.locationtech.jts.geom.Point&nbsp;p)</span>
            throws <span class="exceptions">java.util.InvalidPropertiesFormatException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.util.InvalidPropertiesFormatException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">
<h3>SireneEntry</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">SireneEntry</span>&#8203;(<span class="parameters">java.lang.String&nbsp;ID,
java.lang.String&nbsp;type,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;typeRoad,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;amenityCode,
java.lang.String&nbsp;amenityTypeNameSource,
java.lang.String&nbsp;amenityTypeNameICI,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;siret,
java.lang.String&nbsp;workforce,
java.lang.String&nbsp;workforceReadable,
org.locationtech.jts.geom.Point&nbsp;p)</span></div>
<div class="block">Constructor for an already constructed and exported object</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="isActive(java.lang.String)">
<h3>isActive</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">isActive</span>&#8203;(<span class="parameters">java.lang.String&nbsp;etatAdministratifEtablissement)</span></div>
</section>
</li>
<li>
<section class="detail" id="transformWorkforce(java.lang.String,boolean)">
<h3>transformWorkforce</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">transformWorkforce</span>&#8203;(<span class="parameters">java.lang.String&nbsp;workforceCode,
boolean&nbsp;readable)</span></div>
<div class="block">Workforce value is normalize in SIRENE data. Make those categories human readable.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>workforceCode</code> - the corresponding code</dd>
<dd><code>readable</code> - if true, return the string in a readable way (bounds of people). If false, parse it to a castable int</dd>
<dt>Returns:</dt>
<dd>the slice of workforce corresponding to the code</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="normalizeCodeAmenity(java.lang.String)">
<h3>normalizeCodeAmenity</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">normalizeCodeAmenity</span>&#8203;(<span class="parameters">java.lang.String&nbsp;codeAmenity)</span></div>
<div class="block">In NAF ranking, ranks can have a letter as a last character that specifies their type. Remove if if exists and convert into a float for normalization</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>codeAmenity</code> - NAF code of the amenity</dd>
<dt>Returns:</dt>
<dd>a proper float code</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="makeWorkforceSum(org.geotools.data.simple.SimpleFeatureCollection)">
<h3>makeWorkforceSum</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="member-name">makeWorkforceSum</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;workingPlace)</span></div>
<div class="block">Calculate the sum of Working Place's workforce</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>workingPlace</code> - Collection of workforce generated with <a href="../iciObjects/POI.html#generateSimpleFeature()"><code>POI.generateSimpleFeature()</code></a></dd>
<dt>Returns:</dt>
<dd>the sum of workforce</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAverageWorkingForce(org.opengis.feature.simple.SimpleFeature)">
<h3>getAverageWorkingForce</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="member-name">getAverageWorkingForce</span>&#8203;(<span class="parameters">org.opengis.feature.simple.SimpleFeature&nbsp;wp)</span></div>
<div class="block">Get a Working Place's workforce</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>wp</code> - workforce generated with <a href="../iciObjects/POI.html#generateSimpleFeature()"><code>POI.generateSimpleFeature()</code></a></dd>
<dt>Returns:</dt>
<dd>the number of employee (workforce)</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAverageWorkingForce(int)">
<h3>getAverageWorkingForce</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getAverageWorkingForce</span>&#8203;(<span class="parameters">int&nbsp;wpValue)</span></div>
<div class="block">Get a Working Place's workforce</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>wpValue</code> - the code for employee bound regarding to INSEE's nomenclature</dd>
<dt>Returns:</dt>
<dd>the average number of employee (workforce)</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getRandomWorkingForce(int)">
<h3>getRandomWorkingForce</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">getRandomWorkingForce</span>&#8203;(<span class="parameters">int&nbsp;wpValue)</span></div>
<div class="block">Get a Working Place's workforce</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>wpValue</code> - the code for employee bound regarding to INSEE's nomenclature</dd>
<dt>Returns:</dt>
<dd>the average number of employee (workforce)</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="makeSorting()">
<h3>makeSorting</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">makeSorting</span>()
                 throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getSireneSFB()">
<h3>getSireneSFB</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.geotools.feature.simple.SimpleFeatureBuilder</span>&nbsp;<span class="member-name">getSireneSFB</span>()</div>
</section>
</li>
<li>
<section class="detail" id="generateSireneSimpleFeature()">
<h3>generateSireneSimpleFeature</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.opengis.feature.simple.SimpleFeature</span>&nbsp;<span class="member-name">generateSireneSimpleFeature</span>()</div>
</section>
</li>
<li>
<section class="detail" id="equals(java.lang.String[])">
<h3>equals</h3>
<div class="member-signature"><span class="modifiers">public abstract</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">equals</span>&#8203;(<span class="parameters">java.lang.String[]&nbsp;line)</span></div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/SireneEntry.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
